# Class GetMyOfferRequest

#### Hierarchy

- unknown
  - GetMyOfferRequest

- Defined in src/protobuf/grpc_pb.d.ts:1384
- Defined in src/protobuf/grpc_pb.d.ts:1396

#####
Index

### Constructors

constructor

### Methods

getId
serializeBinary
setId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetMyOfferRequest(): GetMyOfferRequest

- #### Returns GetMyOfferRequest

  Inherited from jspb.Message.constructor

## Methods

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1385

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1388

### setId

- setId(value: string): GetMyOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns GetMyOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1386

### toObject

- toObject(includeInstance?: boolean): GetMyOfferRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetMyOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1389

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMyOfferRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMyOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1392

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMyOfferRequest, reader: BinaryReader): GetMyOfferRequest

- #### Parameters

  - ##### message: GetMyOfferRequest

  - ##### reader: BinaryReader

  #### Returns GetMyOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1393

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMyOfferRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetMyOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1391

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetMyOfferRequest): GetMyOfferRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMyOfferRequest

  #### Returns GetMyOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1390

Generated using TypeDoc